Source: tilecache
Version: 2.11-2
Severity: important
User: debian-pyt...@lists.debian.org
Usertags: pysupport-deprecation



Dear Maintainer,

your package either build-depends or depends on the python-support
package, or uses dh_pysupport in debian/rules file.

python-support has been deprecated for some time, and any package
still using it should be migrated to dh_python2 and dh_python3.
Instructions on how to migrate packages to dh_python2/dh_python3 can
be found on the Debian wiki [0]. An overview of the anatomy of a
package using the pybuild and dh_python{2,3} helpers can be found in
the Python Module Style Guide [1].

Please test your package thoroughly to make sure the transition to
dh_python2/dh_python3 is done correctly and does not cause a negative
impact on your package. In particular, please test upgrades from the
current jessie and stretch/sid versions of the package.

If your package does not yet use Python 3, please consider adding
Python 3 support to your package at the same time as updating the
build system; the py3k porters can offer assistance with that [2].

[0] https://wiki.debian.org/Python/TransitionToDHPython2 [1]
https://wiki.debian.org/Python/LibraryStyleGuide [2]
https://wiki.debian.org/Python/Python3Port

Thanks! 

_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to